source: branches/fc13-dev/locker/bin/scripts-start @ 2765

Last change on this file since 2765 was 1585, checked in by ezyang, 12 years ago
Desupport new installations of e107, phpical, advancedguest and joomla. Existing installations will continue to be nominally supported.
  • Property svn:executable set to *
File size: 693 bytes
Line 
1#!/bin/sh
2
3choices () {
4    echo 'mediawiki MediaWiki'
5    echo 'wordpress WordPress'
6    echo 'gallery2 Gallery2'
7    echo 'phpbb phpBB'
8    echo 'trac Trac'
9    echo 'turbogears TurboGears'
10    echo 'django Django'
11    echo 'rails Ruby on Rails'
12}
13
14nchoices=`choices | wc -l`
15
16echo
17echo "What piece of software would you like to install?"
18echo
19choices | sed 's/^[^ ]* //' | cat -n
20echo
21printf "Please enter a number 1-%d: " "$nchoices"
22read num
23echo
24
25attach scripts 2>/dev/null
26choice=`choices | sed -n "$num { s/ .*$//; p; }"`
27if [ -n "$choice" ]; then
28  . "/mit/scripts/bin$scriptsdev/scripts-$choice"
29else
30  echo "ERROR:"
31  echo "You must enter a number 1 through $nchoices."
32  exit 1
33fi
Note: See TracBrowser for help on using the repository browser.